Bug 521832 (CVE-2009-3083) - CVE-2009-3083 Pidgin: NULL pointer dereference by processing incomplete MSN SLP invite (DoS)
Summary: CVE-2009-3083 Pidgin: NULL pointer dereference by processing incomplete MSN S...
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2009-3083
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL: http://pidgin.im/news/security/?id=39
Whiteboard: impact=low,public=20090903,source=ups...
Depends On: 522536 522537 522538 522539 529416 833962
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-09-08 13:40 UTC by Jan Lieskovsky
Modified: 2019-06-08 12:49 UTC (History)
3 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-29 09:11:29 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:1453 normal SHIPPED_LIVE Moderate: pidgin security update 2009-09-21 15:46:05 UTC
Red Hat Product Errata RHSA-2009:1535 normal SHIPPED_LIVE Moderate: pidgin security update 2009-10-29 14:20:29 UTC

Description Jan Lieskovsky 2009-09-08 13:40:23 UTC
A NULL pointer dereference flaw was found in the Pidgin MSN protocol plugin,
by processing SLP invitation(s). A remote attacker could
issue a specially-crafted SLP invitation request, which once accepted
by valid Pidgin user, would lead to denial of service (Pidgin crash).

References:
----------
http://pidgin.im/news/security/?id=39
http://developer.pidgin.im/ticket/10159

Upstream patch:
--------------
http://developer.pidgin.im/viewmtn/revision/info/b4a95ea62b81a06ffc1993912471c511b786efdd

Credit:
-------
blackstar in ticket #10159 and Elliott Sales de Andrade

Comment 1 Jan Lieskovsky 2009-09-08 13:41:01 UTC
This issue affects the versions of Pidgin package, as shipped
with Red Hat Enterprise Linux 3, 4, and 5. 

This issue was already addressed in the versions of Pidgin
package, as shipped with Fedora 10 and 11. Relevant versions:

Fedora 10: pidgin-2.6.2-1.fc10.1
Fedora 11: pidgin-2.6.2-1.fc11

Comment 3 Jan Lieskovsky 2009-09-09 15:33:14 UTC
Common Vulnerabilities and Exposures assigned an identifier CVE-2009-3083 to
the following vulnerability:

The msn_slp_sip_recv function in libpurple/protocols/msn/slp.c in the
MSN protocol plugin in libpurple in Pidgin before 2.6.2 allows remote
attackers to cause a denial of service (NULL pointer dereference and
application crash) via an SLP invite message that lacks certain
required fields, as demonstrated by a malformed message from a KMess
client.

References:
-----------
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2009-3083
http://developer.pidgin.im/ticket/10159
http://developer.pidgin.im/viewmtn/revision/diff/6d3fc30a0a0a379281efc5a6872a9c1d7c24c650
http://developer.pidgin.im/viewmtn/revision/info/b4a95ea62b81a06ffc1993912471c511b786efdd
http://www.pidgin.im/news/security/index.php?id=39
http://www.securityfocus.com/bid/36277
http://secunia.com/advisories/36601

Comment 7 errata-xmlrpc 2009-09-21 15:46:24 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 4
  Red Hat Enterprise Linux 5

Via RHSA-2009:1453 https://rhn.redhat.com/errata/RHSA-2009-1453.html

Comment 8 errata-xmlrpc 2009-10-29 14:20:38 UTC
This issue has been addressed in following products:

  Red Hat Enterprise Linux 3

Via RHSA-2009:1535 https://rhn.redhat.com/errata/RHSA-2009-1535.html


Note You need to log in before you can comment on or make changes to this bug.